gnutls_x509_tlsfeatures_check_crt(3)

NAME
gnutls_x509_tlsfeatures_check_crt - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_tlsfeatures_check_crt(gnutls_x509_tlsfeatures_t feat, gnutls_x509_crt_t cert);

ARGUMENTS

gnutls_x509_tlsfeatures_t feat
    a set of TLSFeatures

gnutls_x509_crt_t cert
    the certificate to be checked

DESCRIPTION
This function will check the provided certificate against the TLSFeatures set in feat using the RFC7633 p.4.2.2 rules. It will check whether the certificate contains the features in feat or a superset.

RETURNS
non-zero if the provided certificate complies, and zero otherwise.

SINCE
3.5.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/